Bug 991730 - unsatisfied dependencies for python-flask-admin on epel6 testing
unsatisfied dependencies for python-flask-admin on epel6 testing
Status: CLOSED RAWHIDE
Product: Fedora EPEL
Classification: Fedora
Component: python-flask-admin (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Matej Stuchlik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 02:54 EDT by Tuomo Soini
Modified: 2016-01-31 21:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 03:58:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tuomo Soini 2013-08-04 02:54:50 EDT
Description of problem:

package: python-flask-admin-1.0.5-3.el6.noarch
  unresolved deps: 
     python-wtf-peewee
     python-peewee
     python-flask-mongoengine
Comment 1 Tuomo Soini 2013-09-16 05:00:58 EDT
This is still broken.
Comment 2 Matej Stuchlik 2013-09-16 07:40:21 EDT
python-peewee: admin.fedoraproject.org/updates/python-peewee-2.1.4-3.el6
python-wtf-peewee: admin.fedoraproject.org/updates/python-wtf-peewee-0.2.2-1.el6

As for python-flask-mongoengine, I'm currently waiting for maintainer of one of its dependencies to put it into el6.
Comment 3 ilgizisl 2013-09-26 17:38:55 EDT
I have noticed your changes for python-peewee tests in el6. I have made patches for test which solves this problems, can you please take a look:
1) http://paste.fedoraproject.org/39250/79027576/
this is (sqlite?) bug, DROP TABLE IF EXISTS does not really drop table in sqlite, tests pass in postgres
2) http://paste.fedoraproject.org/39248/27058137/
this is just unittest python backward incompatibility
Comment 4 Matej Stuchlik 2013-09-27 03:34:44 EDT
(In reply to ilgizisl from comment #3)
> I have noticed your changes for python-peewee tests in el6. I have made
> patches for test which solves this problems, can you please take a look:
> 1) http://paste.fedoraproject.org/39250/79027576/
> this is (sqlite?) bug, DROP TABLE IF EXISTS does not really drop table in
> sqlite, tests pass in postgres
> 2) http://paste.fedoraproject.org/39248/27058137/
> this is just unittest python backward incompatibility

Looks good, I'll put them in, thanks!
Comment 6 Anssi Johansson 2013-12-19 19:25:27 EST
I believe all the required dependencies for python-flask-admin are now available.

Note You need to log in before you can comment on or make changes to this bug.